package com.sifang.modules.sunshine.SystemSetting.form;

import org.hibernate.validator.constraints.NotBlank;

import java.io.Serializable;

/**
 * @author hongzq
 */
public class AddTrader  implements Serializable {
    private String id;
    @NotBlank(message = "traderName不能为空")
    private String traderName;
    @NotBlank(message = "loginName不能为空")
    private String loginName;
    @NotBlank(message = "password不能为空")
    private String password;
    @NotBlank(message = "userName不能为空")
    private String userName;
    @NotBlank(message = "telephone不能为空")
    private String telephone;
    @NotBlank(message = "province不能为空")
    private String province;
    @NotBlank(message = "city不能为空")
    private String city;
    @NotBlank(message = "area不能为空")
    private String area;
    @NotBlank(message = "address不能为空")
    private String address;
    private String imgs;
    private String remarks;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTraderName() {
        return traderName;
    }

    public void setTraderName(String traderName) {
        this.traderName = traderName;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getImgs() {
        return imgs;
    }

    public void setImgs(String imgs) {
        this.imgs = imgs;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
}
